//
//  ALPushButtonCell.h
//  testButtonCell
//
//  Created by Alexey Nikitin on 22.02.12.
//  Copyright (c) 2012 Aperio Lux. (Alexey Nikitin and Alexandr Bondar) All rights reserved.
//  http://aperio-lux.com.ua


#import <Cocoa/Cocoa.h>

enum
{
    ALOnOffClassButtonStyle = 1,
    ALGlassButtonStyle = 2,
    
    ALOnOffDarkButtonStyle = 3,
    ALDarkButtonStyle = 4,
    
    ALBlueButtonStyle = 5,
    
    ALBlackDarkButtonStyle = 6,
    
    ALWhiteButtonStyle = 7,
    
    ALBlackGrayOnOffButtonStyle = 8,
    
    ALWhiteGrayOnOfButtonStyle = 9
};

typedef NSInteger ALButtonStyle;

enum
{
    ALNoneTextStyle = 0,
    ALWhiteToBlackTextStyle = 1,
    ALBlackToWhiteTextStyle = 2,
    ALWhiteToBlackOnOffTextStyle = 3,
    ALBlackToWhiteOnOffTextStyle = 4,
    ALOnlyWhiteTextStyle = 5,
    
    ALWhiteDarkTextStyle = 6,
    ALOnlyBlackTextStyle = 7
};

typedef NSInteger ALTextStyle;

enum
{
    ALNoneImageStyle = 0,
    ALBlackAndWhiteImageStyle = 1,
    ALOnOffBlackAndWhiteImageStyle = 2,
    ALColorImageStyle = 3,
    ALOnOffColorImageStyle = 4
};

typedef NSInteger ALImageStyle;

enum
{
    ALZeroRoundRadius = 0,
    ALDefaultRoundRadius = 3,
    ALBigRoundRadius = 10
};

typedef float ALRoundRadius;

enum
{
    ALDarkButtonBorder = 0,
    ALLightButtonBorder = 1,
    ALBorderForBlueButton = 2
};

typedef NSInteger ALButtonBorderStyle;

@interface ALButtonCell : NSButtonCell
{
    BOOL isColored;
    BOOL isTexted;
    
    BOOL isOnOff;
    BOOL isGlassing;
    
    ALRoundRadius roundCornerRadius;
    
    ALButtonStyle buttonStyle;
    ALTextStyle textStyle;
    ALImageStyle imageStyle;
    ALButtonBorderStyle borderStyle;
}
-(void)setIsColored:(BOOL)value;
-(void)setIsTexted:(BOOL)value;

-(void)setIsOnOff:(BOOL)value;
-(void)setIsGlassing:(BOOL)value;

-(void) setRoundCornerRadius:(ALRoundRadius)radius;

-(void)setButtonStyle:(ALButtonStyle)aStyle;
-(void)setTextStyle:(ALTextStyle)aStyle;
-(void)setImageStyle:(ALImageStyle)aStyle;
-(void)setBorderStyle:(ALButtonBorderStyle)aStyle;

@end
