//
//  ALSepBar.h
//  ALInterface
//
//  Created by Alexey Nikitin on 12.07.12.
//  Copyright (c) 2012 Aperio Lux. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum ALSepBarStyle{
    //not baseline
    ALSepBarOSSH = 0,
    ALSepBarOSP = 1,
    ALSepBarOSHSH = 2,
    ALSepBarDOSH = 6,
    
    //baseline
    ALSepBarOSSH_baseline = 3,
    ALSepBarOPO_baseline = 4,
    
    //base color
    ALSepBarOOV_baseColor = 5
};

typedef NSInteger ALSepBarStyle;

@interface ALSepBar : NSView

@property (nonatomic, assign, readwrite) ALSepBarStyle sepBarStyle;

-(void)drawSepBarWithOSSH;       //176 - 127
-(void)drawSepBarWithOSP;       //175 - 126
-(void)drawSepBarWithOSHSH;     //166  - 118
-(void)drawSepBarWithDOSH;      //216 - 174

-(void)drawSepBarWithOSSH_baseline;     //176 baseline
-(void)drawSepBarWithOPO_baseline;      //150 baseline

-(void)drawSepBarWithOOV_baseColor;     //118 base color

@end
