//
//  ALWorkspaceView.h
//  testButtonCell
//
//  Created by Alexey Nikitin on 23.02.12.
//  Copyright (c) 2012 Aperio Lux. (Alexey Nikitin and Alexandr Bondar) All rights reserved.
//  http://aperio-lux.com

#import <Cocoa/Cocoa.h>

@interface ALWorkspaceView : NSView
{
    NSColor *borderColor;
    NSColor *fillColor;
    NSImage *patternImage;
    
    BOOL isDrawBorder;
    
    BOOL isRoundLeftTopCorner;
    BOOL isRoundLeftBottomCorner;
    BOOL isRoundRightTopCorner;
    BOOL isRoundRightBottomCorner;
    
    BOOL isSquare;
    
    BOOL isPattern;
    
    BOOL isShadow;
    
    CGFloat cornerRadius;
    CGFloat widhtOfLine;
    
    
    BOOL isLeftShadow;
    BOOL isRightShadow;
}

-(void)setIsSquare:(BOOL)flag;
-(void)setIsRoundLeftTopCorner:(BOOL)flag;
-(void)setIsRoundLeftBottomCorner:(BOOL)flag;
-(void)setIsRoundRightTopCorner:(BOOL)flag;
-(void)setIsRoundRightBottomCorner:(BOOL)flag;

-(void)setIsShadow:(BOOL)flag;
-(void)setIsLeftShadow:(BOOL)flag;
-(void)setIsRightShadow:(BOOL)flag;
-(void)setIsPattern:(BOOL)flag;
-(void)setDrawBorder:(BOOL)flag;

-(void)setCornerRadius:(CGFloat)value;
-(void)setWidhtOfLine:(CGFloat)value;

-(void)generalBackgroundView;

-(void)bottomCornerRound:(CGFloat)value andFillColor:(NSColor *)color;
-(void)topCornerRound:(CGFloat)value andFillColor:(NSColor *)color;
-(void)leftCornerRound:(CGFloat)value andFillColor:(NSColor *)color;
-(void)rightCornerRound:(CGFloat)value andFillColor:(NSColor *)color;

@property(nonatomic,retain,readwrite)NSColor *borderColor;
@property(nonatomic, retain, readwrite)NSColor *fillColor;
@property(nonatomic, retain, readwrite)NSImage *patternImage;

@end
